<?
session_start();
include 'cnn.php';
@$login = $_SESSION['login'];
@$senha = $_SESSION['senha'];
if(!isset($_SESSION['login'])) { echo "<strong>Para acessar essa pagina é preciso esta logado</strong>"; }
else{
$vip=mssql_fetch_row(mssql_query("select vip from memb_info where memb___id='".$login."'"));
if($vip[0] == 0) { echo "<strong>Para acessar essa pagina &eacute; preciso ser Silver Vip</strong>"; }
else{
?>
<h1>Enviar Ticket</h1>
<form name="form1" method="post" action="">
<div class="quadros">
<label>Titulo:</label>
<input name="titulo" class="camposs2" type="text" id="titulo" maxlength="10" class="submit" />
<label>Conta:</label>
<strong><u><?=$login?></u></strong>
<label>Personagem:</label>
<select name="char" id="char">
<?
$Chars = mssql_query("select name from character where accountid='".$login."'");
for($p=0;$p<mssql_num_rows($Chars);$p++) {
$Char=mssql_fetch_row($Chars);
echo '<option value='.$Char[0].'>'.$Char[0].'</option>';
}
?>
</select>
<label>Assunto:</label>
<select name="assunto" class="camposs2">
<option value="Reclamacoes">Reclamações</option>
<option value="Duvidas">Dúvidas</option>
<option value="Sugestao">Sugestão</option>
<option value="Compras atrasadas">Compras atrasadas</option>
</select>
<label>Mensagem:</label>
<textarea name="msg" cols="25" rows="7" class="camposs2"></textarea>
<br />
<br />
<input name="prossegue" type="submit" class="submit" id="prossegue" value="Enviar">
</div>
</form>
<? 
if($_POST['prossegue']) {
$char = $_POST['char'];
$msg = $_POST['msg'];
$assunto = $_POST['assunto'];
$titulo = $_POST['titulo'];
$data=date("d/m/y - h:i a");

$VerificaStatus = mssql_fetch_row(mssql_query("select connectstat from memb_stat where memb___id='".$login."'"));
$Id = mssql_fetch_row(mssql_query("select id from site_ticket where login='".$login."'"));
$VerificaChar = mssql_num_rows(mssql_query("select name from character where name='".$char."' and accountid='".$login."'"));
$VerificaTitulo = mssql_num_rows(mssql_query("select titulo from site_ticket where titulo='".$titulo."'"));
if($VerificaStatus[0] >= 1) {
echo "<script>alert('Saia da conta.'); 
location='javascript:history.back()'</script>";
}
if($VerificaChar <= 0) { 
echo "<script>alert('Char inválido.'); 
location='javascript:history.back()'</script>"; 
}
if($VerificaTitulo >= 1) { 
echo "<script>alert('O titulo já está em uso, por favor, escolha outro!'); 
location='javascript:history.back()'</script>"; 
}
elseif($titulo == NULL) { 
echo "<script>alert('Titulo inválido.'); 
location='javascript:history.back()'</script>"; 
}
elseif($msg == NULL) { 
echo "<script>alert('Mensagem inválida'); 
location='javascript:history.back()'</script>"; 
}
else {
mssql_query("INSERT INTO site_ticket (titulo,name,assunto,msg,data,login,status) values ('$titulo','$char','$assunto','$msg','$data','$login','0')");
echo "<script>alert('Ticket enviado com sucesso.'); 
	location='javascript:history.back()'</script>";	
} } } }
?>
